import gtk

def on_motion(widget, context, x, y, time):
    context.drag_status(gtk.gdk.ACTION_COPY, time)
    newtext=str(x)+','+str(y)+'\n'
    for target in context.targets:
        newtext+= target+'\n'
    l.set_text(newtext)
    return True

def on_drop(widget, context, x, y, time):
    print 'DROPPED'
    target = widget.drag_dest_find_target(context, widget.drag_dest_get_target_list())
    widget.drag_get_data(context,target,time)
    return True
    
def on_received(widget, context, x, y, selection, info, time):
    print "recieved"
    print selection.get_data_type()
    file=selection.data
    print file
    l.set_text(file)
    
    
w = gtk.Window()
w.set_size_request(250,250)

w.connect('destroy', lambda w: gtk.main_quit())
l = gtk.Label()
texttarget=('text/plain', 0, 0)
t2=('text/uri-list', 0, 0)
t3=('STRING', 0, 0)
l.drag_dest_set(0, [ t2,texttarget,  t3], 0)
l.connect('drag_motion', on_motion)
l.connect('drag_drop',  on_drop)
l.connect('drag_data_received', on_received)
w.add(l)
w.show_all()
gtk.main()
