package com.example.androidmp3;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.media.AudioManager;
import android.widget.Toast;
import android.util.Log;

public class MP3IntentReceiver extends BroadcastReceiver {

  private static final String TAG = "MP3IntentReceiver";
  
  @Override
  public void onReceive(Context c, Intent i) {
    if (i.getAction().equals(AudioManager.ACTION_AUDIO_BECOMING_NOISY)) {
      Toast.makeText(c, "Headphones vanished!", Toast.LENGTH_SHORT).show();
      c.startService(new Intent(MP3Service.ACTION_PAUSE));
    }
  }

}



